<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query. 
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */

get_header(); ?>

		<div id="container">
			<div id="content" role="main">
			<div id="featurewrap">
        <div id="myController" class="hidden">
<span class="jFlowControl"></span>
<span class="jFlowControl">No 2</span>
<span class="jFlowControl">No 3> </span>
<span class="jFlowControl">No 4 </span>
</div>
 
<div id="prevNext">
<img src="images/larrow.png" class="jFlowPrev" />
<img src="images/rarrow.png" class="jFlowNext" />
</div>
 
<div id="mySlides">
<?php $countfeatured=0; ?>
<?php $my_query = new WP_Query('category_name=.$fcatd&showposts=4');
while ($my_query->have_posts()) : $my_query->the_post();
$do_not_duplicate = $post->ID; ?>
<?php if ($countfeatured == 0) { ?>
 
<div><!-- #1 feature-->
<div class="featurecontainer transparent">
<h2 class="feature-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
 
				<p style="padding-left:8px;margin:0;padding-bottom:10px;">Posted on <?php the_time('F j, Y'); ?></p>
                <p class="sitename"><?php
$posttags = get_the_tags();
if ($posttags) {
foreach($posttags as $tag) {
echo $tag->name . ' '; 
}
}
?></p>
 
</div>
					<div class="entry" style="padding-left:10px;">
                    <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
<img src="<?php echo get_option('home'); ?>/wp-content/themes/thematic/images/projects/<?php
// this is where the Lead Story image gets printed
$values = get_post_custom_values("frontpageproject"); echo $values[0]; ?>" alt="" class="left" /></a>
						<?php $thumb = get_post_meta($post->ID, "thumb", true);
						if ($thumb != "") { ?>
							<a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><img src="<?php $values = get_post_custom_values("frontpageproject"); echo $values[0]; ?>" alt="<?php the_title(); ?>" class="thumb" /></a>
							<?php the_excerpt(); ?>
						<?php } else { ?>
							<?php the_excerpt(); ?>
						<?php } ?><br/>
						<strong><a href="<?php the_permalink() ?>">Read Post...</a></strong><br />
                        <p><?php $values = get_post_custom_values("link"); echo $values[0]; ?></p>
 
					</div>
			</div>
 
 
<?php $countfeatured++; ?>
<?php } elseif ($countfeatured == 1) { ?>
 
<div>
 
<div class="featurecontainer transparent">
<h2 class="feature-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<p class="feature">Posted on <?php the_time('F j, Y'); ?> <br />
                 Skills: <?php $posttags = get_the_tags();
				if ($posttags) {
				foreach($posttags as $tag) {
				echo $tag->name . ', '; 
				}
				}
				?></p>
                <strong><a href="<?php the_permalink() ?>" class="feature">Read Post...</a></strong>
</div>
 
					<div class="entry" style="padding-left:10px;">
                    <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
<img src="<?php echo get_option('home'); ?>/wp-content/themes/thematic/images/projects/<?php
// this is where the Lead Story image gets printed
$values = get_post_custom_values("frontpageproject"); echo $values[0]; ?>" alt="" class="featureimg" /></a>
						<?php $thumb = get_post_meta($post->ID, "thumb", true);
						if ($thumb != "") { ?>
							<a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><img src="<?php $values = get_post_custom_values("frontpageproject"); echo $values[0]; ?>" alt="<?php the_title(); ?>" class="thumb" /></a>
						<?php } else { ?>
 
						<?php } ?><br/>
                        </div>
					</div>
 
 
	<?php $countfeatured++; ?>
	<?php } elseif ($countfeatured == 2) { ?>
 
<div>
<div class="featurecontainer transparent">
<h2 class="feature-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<p style="padding-left:8px;margin:0;padding-bottom:10px;">Posted on <?php the_time('F j, Y'); ?> <br />
                 Skills: <?php $posttags = get_the_tags();
				if ($posttags) {
				foreach($posttags as $tag) {
				echo $tag->name . ', '; 
				}
				}
				?></p>
 
                </div>
					<div class="entry" style="padding-left:10px;">
                    <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
<img src="<?php echo get_option('home'); ?>/wp-content/themes/thematic/images/projects/<?php
// this is where the Lead Story image gets printed
$values = get_post_custom_values("frontpageproject"); echo $values[0]; ?>" alt="" class="left" /></a>
						<?php $thumb = get_post_meta($post->ID, "thumb", true);
						if ($thumb != "") { ?>
							<a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><img src="<?php $values = get_post_custom_values("frontpageproject"); echo $values[0]; ?>" alt="<?php the_title(); ?>" class="thumb" /></a>
							<?php the_excerpt(); ?>
						<?php } else { ?>
							<?php the_excerpt(); ?>
						<?php } ?><br/>
						<strong><a href="<?php the_permalink() ?>">Read Post...</a></strong>
					</div>
			</div>	
 
 
<?php $countfeatured++; ?>
<?php } elseif ($countfeatured == 3) { ?>
 
<div>
<div class="featurecontainer transparent">
<h2 class="feature-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<p style="padding-left:8px;margin:0;padding-bottom:10px;">Posted on <?php the_time('F j, Y'); ?> <br />
                Skills: <?php $posttags = get_the_tags();
				if ($posttags) {
				foreach($posttags as $tag) {
				echo $tag->name . ', '; 
				}
				}
				?></p>
                </div>
					<div class="entry" style="padding-left:10px;">
                    <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
<img src="<?php echo get_option('home'); ?>/wp-content/themes/thematic/images/projects/<?php
// this is where the Lead Story image gets printed
$values = get_post_custom_values("frontpageproject"); echo $values[0]; ?>" alt="" class="left" /></a>
						<?php $thumb = get_post_meta($post->ID, "thumb", true);
						if ($thumb != "") { ?>
							<a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><img src="<?php $values = get_post_custom_values("frontpageproject"); echo $values[0]; ?>" alt="<?php the_title(); ?>" class="thumb" /></a>
							<?php the_excerpt(); ?>
						<?php } else { ?>
							<?php the_excerpt(); ?>
						<?php } ?><br/>
						<strong><a href="<?php the_permalink() ?>">Read Post...</a></strong>
					</div>
 
 
<?php $countfeatured++; ?>
	<?php } ?>
	<?php endwhile; ?>			
 
</div>
</div>
			<?php
			/* Run the loop to output the posts.
			 * If you want to overload this in a child theme then include a file
			 * called loop-index.php and that will be used instead.
			 */
			 get_template_part( 'loop', 'index' );
			?>
			</div><!-- #content -->
		</div><!-- #container -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
